Skip to main content
PATCH
Update contract line

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Path Parameters

contractId
string<uuid>
required
lineId
string<uuid>
required

Body

application/json;charset=UTF-8
productId
string<uuid> | null

ID of the product

billingStart
string<date> | null

Date when billing starts for this line

accountId
string<uuid> | null

ID of the ledger account for this line

taxCodeId
string<uuid> | null

ID of the tax code to apply to this line

customProperties
(object | null)[] | null

List of custom properties to set on the contract or line

List of custom properties to set on the vendor. Replaces the existing set.

billingRecurrence
enum<string> | null

Billing frequency for this line

  • ONE_TIME - The product is billed once
  • MONTHLY - The product is billed every month
  • QUARTERLY - The product is billed every three months
  • HALF_YEARLY - The product is billed every six months
  • YEARLY - The product is billed every year

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
ONE_TIME,
MONTHLY,
QUARTERLY,
HALF_YEARLY,
YEARLY
billingEnd
string<date> | null

Date when billing ends for this line

discount
object | null

Discount to apply to this line (can be percentage or amount-based)

priceOverwrite
integer<int64> | null

Custom price override in cents

productNameOverwrite
string | null

Custom product name override

quantity
number | null

Quantity of the product

amortizationTemplateId
string<uuid> | null

ID of the amortization template

amortizationStartDate
string<date> | null

Start date for amortization

amortizationEndDate
string<date> | null

End date for amortization

Response

default - application/json;charset=UTF-8

default response

id
string<uuid>

Unique identifier for the object

companyId
string<uuid>

ID of the company

contractId
string<uuid>

ID of the contract this line belongs to

productId
string<uuid>

ID of the product

billingStart
string<date> | null

Date when billing starts for this line

billingEnd
string<date> | null

Date when billing ends for this line

billingRecurrence
enum<string>

Billing frequency for this line

  • ONE_TIME - The product is billed once
  • MONTHLY - The product is billed every month
  • QUARTERLY - The product is billed every three months
  • HALF_YEARLY - The product is billed every six months
  • YEARLY - The product is billed every year

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
ONE_TIME,
MONTHLY,
QUARTERLY,
HALF_YEARLY,
YEARLY
accountId
string<uuid> | null

ID of the account for bookkeeping

taxCodeId
string<uuid> | null

ID of the tax code

avataxCode
string | null

Avalara tax code

discount
object | null

Discount to apply to this line (can be percentage or amount-based)

quantity
number | null

Quantity of the product

priceOverwrite
integer<int64> | null

Custom price override in cents

productNameOverwrite
string | null

Custom product name override

amortizationTemplateId
string<uuid> | null

ID of the amortization template

amortizationStartDate
string<date> | null

Start date for amortization

amortizationEndDate
string<date> | null

End date for amortization

aiValueSuggestions
(object | null)[] | null

AI-generated suggestions for this line

AI-generated suggestions for line item values (e.g. account, cost center, tax code).

customProperties
(object | null)[] | null

List of custom properties associated with the line

Custom properties set on the vendor.

createdAt
string<date-time>

Timestamp when the line was created

updatedAt
string<date-time>

Timestamp when the line was last updated